Get Affiliate
curl --request GET \
--url https://api.sellauth.com/v1/shops/{shopId}/affiliates/{customerId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.sellauth.com/v1/shops/{shopId}/affiliates/{customerId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.sellauth.com/v1/shops/{shopId}/affiliates/{customerId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"affiliate": {
"id": 1,
"email": "customer@sellauth.test",
"shop_id": 1,
"balance": "100.00",
"affiliate_balance": "0.00",
"affiliate_code": "PARTNER10",
"affiliate_code_set_at": "2026-09-20 15:56:24",
"affiliate_tier_id": null,
"affiliate_referrer_earnings": "0.00",
"created_at": "2026-09-20T15:56:24.000000Z",
"referrals_count": 0,
"affiliate_tier": null
},
"referrals": [],
"attributed_invoices": [],
"wallet_transactions": [],
"payout_requests": [
{
"id": 1,
"shop_id": 1,
"shop_customer_id": 1,
"amount": 25,
"status": "pending",
"payout_details": "PayPal: customer@sellauth.test",
"seller_note": null,
"processed_by": null,
"processed_at": null,
"created_at": "2026-09-20T15:56:24.000000Z",
"updated_at": "2026-09-20T15:56:24.000000Z"
}
],
"balance_mode": "shared"
}Affiliates
Get Affiliate
Detail view: referrals, attributed orders, affiliate wallet ledger and payout requests.
GET
/
v1
/
shops
/
{shopId}
/
affiliates
/
{customerId}
Get Affiliate
Authorizations
You can retrieve your API key from your dashboard under Account > Developers.
Response
200 - application/json
Show child attributes
Show child attributes
Example:
[]
Example:
[]
Example:
[]
Show child attributes
Show child attributes
Example:
[
{
"id": 1,
"shop_id": 1,
"shop_customer_id": 1,
"amount": 25,
"status": "pending",
"payout_details": "PayPal: customer@sellauth.test",
"seller_note": null,
"processed_by": null,
"processed_at": null,
"created_at": "2026-09-20T15:56:24.000000Z",
"updated_at": "2026-09-20T15:56:24.000000Z"
}
]
Example:
"shared"